@import '~@angular/material/theming';
@import "palette.scss";

html, body {
  margin: 0;
  padding: 0;

  height: 100%;
  font-family: Arial, Helvetica, sans-serif;
  min-width:900px;
  
}
*{outline-color: white !important;}
.body { 
  height: 100%;
  display: flex;
  flex-direction: column;
  overflow: auto;
}

.outlet {
    flex-grow: 1;
}

.container {
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;

  background: url(./assets/bg.jpg) no-repeat center fixed;
  //background: map_get($primary-palette, 500);
  -webkit-background-size: cover; /* pour anciens Chrome et Safari */
  background-size: cover; /* version standardisée */
  
  .matcard {
   background-color: map_get($primary-palette, 800) !important;
  }
  .title {
    color: white;
    margin: 0;
    padding: 50px 20px;
  }

  a {
    color: #fff !important;
    text-transform: uppercase;
    text-decoration: none;
    background: map_get($secondary-palette, 700);
    padding: 15px 10px;
    border-radius: 5px;
    display: inline-block;
    border: solid 1px map_get($secondary-palette, 700);
    transition: all 0.4s ease 0s;
    width: fit-content;
    min-width: 6ch;

    &:hover:not(.disabled) {
      background: #fff;
      color: map_get($secondary-palette, 700) !important;
      -webkit-box-shadow: 0px 5px 40px -10px rgba(0,0,0,0.57);
      -moz-box-shadow: 0px 5px 40px -10px rgba(0,0,0,0.57);
      box-shadow: 5px 40px -10px rgba(0,0,0,0.57);
      transition: all 0.2s ease 0s;
      cursor: pointer;
    }

  }
  a.disabled{
    background: map_get($secondary-palette, 300) !important;
    border-color: map_get($secondary-palette, 300);
    color: map_get($secondary-palette, 100) !important;
  }
  
  .outline {
    outline: none;
    border: 1px white solid;
    margin-top:4px;
    padding: 4px;
  }
  
  .marginlessBottom {
    margin-bottom: 0px;
  }
  .marginless {
    margin: 0px;
  }

  
}
mat-option.mat-selected {
	color: map_get($primary-palette, 300) !important;
}

.mat-form-field-flex {
	background-color: #42424242 !important;
}
.mat-select-panel {
	background-color: map_get($primary-palette, 800) !important;
}